package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtAlgorithm;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtAlgorithmMapper {
    int insert(PtAlgorithm p);

    int update(PtAlgorithm p);

    int delete(Integer id);

    List<PtAlgorithm> selectAll(PtAlgorithm p);

    Integer selectMaxId();
}
